Page MenuHomePhabricator

Create a new phabricator project for Lingua Libre
Closed, ResolvedPublic

Description

Hi!

As this tool is public now, would it be possible to create a new phabricator project to manage the development of Lingua Libre? It is an external tool to record and upload audio pronunciation files to Commons.
See also https://meta.wikimedia.org/wiki/Grants:Project/0x010C/LinguaLibre

Project type: Component
Name: Lingua Libre
Description: Lingua Libre is an external tool to record and upload audio pronunciation files to Commons.

Event Timeline

0x010C created this task.May 25 2018, 9:40 AM
Trizek renamed this task from Create a new phabricator project for Linua Libre to Create a new phabricator project for Lingua Libre.May 25 2018, 12:00 PM
Trizek removed Aklapper as the assignee of this task.EditedMay 25 2018, 12:02 PM
Trizek added a subscriber: Aklapper.

De-assigning Andre, while they are pleinty of Phab admins who can do that. :)

@0x010C, Andre told me that there is a bug tracking system on the Git repo you use. Why don't use it? To ease interactions with more folks and other projects?

0x010C added a comment.EditedMay 25 2018, 12:44 PM

That's it. Wikimedians are more used nowadays to report bugs / ask features on phabricator (and they don't need to create a new account), and the board feature here better fits our needs.
Furthermore, in a later point in time when the code base will be more stable, I would like to move the git repository from github to gerrit, to have all inside the Wikimedia ecosystem. Even it's easy to move a repository, moving issues is quite a harder job...

If we create a project in Wikimedia Phabricator, what would happen (by who) to the tickets in https://github.com/wikimedia-france/Lingua-Libre/issues ?
If GitHub allows disabling "Issues" (I think so?) do you plan to do so?

0x010C added a subscriber: Sylvain_WMFr.EditedMay 27 2018, 10:29 PM

Huuu, this is the repository of an old version of Lingua Libre, deprecated since one year. With the project grant linked in the description we moved to the current version, which is a complete rewrite of the old one (and not directly related to WMFr anymore).

To be honest I though this old repository was archived yet, @Sylvain_WMFr could you do it ?

Our new repositories: https://github.com/lingua-libre

Huuu, this is the repository of an old version of Lingua Libre, deprecated since one year.

Heh. That makes me wonder what "LinguaLibre" on https://www.mediawiki.org/wiki/New_Developers should link to when it comes to "Recommended tasks to work on" and all the other links. Edits/updates on that wiki page are very welcome. :)

0x010C added a comment.EditedMay 27 2018, 10:47 PM

Huuuu (bis), I've completely forgotten this page... Lingua Libre is not ready (yet!) to welcome developers with little experience of MediaWiki, so I removed it from the page.
Thanks for the reminder :3

Ah, thanks!
Looking at https://github.com/lingua-libre and seeing there are five subprojects makes me wonder

Unrelated stuff:

Huuuu (bis), I've completely forgotten this page... Lingua Libre is not ready (yet!) to welcome developers with little experience of MediaWiki, so I removed it from the page.
Thanks for the reminder :3

IMO a bad idea: keep the project there is a "for your information" input. You can reach at people through that page and, if they can't contribute now, you will have the opportunity to get some contacts.

Huuu, this is the repository of an old version of Lingua Libre, deprecated since one year. With the project grant linked in the description we moved to the current version, which is a complete rewrite of the old one (and not directly related to WMFr anymore).
To be honest I though this old repository was archived yet, @Sylvain_WMFr could you do it ?
Our new repositories: https://github.com/lingua-libre

It is now archived and all issues that were still open have been marked as closed.

0x010C added a comment.EditedMay 28 2018, 11:49 AM

Using workboard columns will be easier for us I think (our sub-projects aren't big enough in my opinion).

  • if you plan to switch off the "Issues" tab for those five projects on GitHub once a Wikimedia Phabricator project has been created.

Yes absolutely.

Before @Sylvain_WMFr archived this old repository, I went through all remaining open issues there. In fact, the large majority of features requested had been used for the plan of the current rewrite, so they are already implemented. Next-to that, there were some bug reports that are now irrelevant and just a hand of organising tasks which I will move to the phabricator project.

  • apart from one "weekly activity" entry I failed to find any info on https://lingualibre.fr/ where to download its source code if I was a developer, or where to file bug reports and feature requests if I was a user.

Currently, there is a link in the yellow sitenotice to give feedbacks and report bugs direcly on Lingua Libre (LinguaLibre:Feedbacks). I still have to write many documentation and help pages (it's not so far on my todo-list), I've started with some pages in the help menu(Help:Main), the developper help will arrive soon.

As Lingua Libre is a wiki now, we are currently moving those lists directly on wikipages, in a dedicated namespace. This old repo will be removed once that completed.

Aklapper closed this task as Resolved.May 28 2018, 12:01 PM
Aklapper claimed this task.

Sounds good! :)

Requested public project Lingua Libre has been created: https://phabricator.wikimedia.org/project/view/3393/

Please encourage interested people to visit the project and to join the project as members, and to watch the project in order to receive updates!

Recommended practices for project and workboard management in Phabricator are available.

Feel free to bring up any questions you might have about Phabricator or about best ways to manage projects in Phabricator.

Enjoy!

0x010C rescinded a token.
0x010C awarded a token.

@Aklapper Thanks a lot for your comments and tour help! :)

Vvjjkkii renamed this task from Create a new phabricator project for Lingua Libre to yacaaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Aklapper as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from yacaaaaaaa to Create a new phabricator project for Lingua Libre.Jul 2 2018, 3:48 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Aklapper.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.